Bug 24918 - Wrong attribute mappings in Koha::Acquisition::Basket
Summary: Wrong attribute mappings in Koha::Acquisition::Basket
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 24464
Blocks: 20212
  Show dependency treegraph
 
Reported: 2020-03-20 18:57 UTC by Tomás Cohen Arazi
Modified: 2020-04-03 21:27 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24918: Fix attribute mappings in Koha::Acquisition::Basket (1.62 KB, patch)
2020-03-20 19:08 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24918: Fix attribute mappings in Koha::Acquisition::Basket (1.67 KB, patch)
2020-03-20 19:09 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24918: Fix attribute mappings in Koha::Acquisition::Basket (1.74 KB, patch)
2020-03-23 09:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-03-20 18:57:42 UTC
Some attribute mappings from the RFC were missed on bug 18731:

        authorisedby            => 'creator_id',
        deliveryplace           => 'delivery_library_id',
        billingplace            => 'billing_library_id',
Comment 1 Tomás Cohen Arazi 2020-03-20 19:08:16 UTC
Created attachment 101318 [details] [review]
Bug 24918: Fix attribute mappings in Koha::Acquisition::Basket

When bug 18731 was written, the official vote on the RFC hadn't been
held yet. Once it got voted, the mappings were adapted and all the
dependent work fixed as well. But three attribute names were overlooked
and they become evident on developing 20212 which required them.

This patch fixes this really tiny mistake.

To test:
1. Just verify the voted attribute names.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2020-03-20 19:09:53 UTC
Created attachment 101319 [details] [review]
Bug 24918: Fix attribute mappings in Koha::Acquisition::Basket

When bug 18731 was written, the official vote on the RFC hadn't been
held yet. Once it got voted, the mappings were adapted and all the
dependent work fixed as well. But three attribute names were overlooked
and they become evident on developing 20212 which required them.

This patch fixes this really tiny mistake.

To test:
1. Just verify the voted attribute names.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Jonathan Druart 2020-03-23 09:57:00 UTC
Created attachment 101412 [details] [review]
Bug 24918: Fix attribute mappings in Koha::Acquisition::Basket

When bug 18731 was written, the official vote on the RFC hadn't been
held yet. Once it got voted, the mappings were adapted and all the
dependent work fixed as well. But three attribute names were overlooked
and they become evident on developing 20212 which required them.

This patch fixes this really tiny mistake.

To test:
1. Just verify the voted attribute names.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2020-03-24 09:30:36 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-03 21:27:21 UTC
not backported to 19.11.x